config/routes.rb
HeaderAd::Application.routes.draw do

  #get "corheaders/hbase"
  match 'corheaders/hbase/:headerid', to: 'corheaders#hbase', via: [:get]
  match 'corheaders/count/:headerid', to: 'corheaders#count', via: [:get]
  match 'corheaders/links/:headerid', to: 'corheaders#links', via: [:get]
  # Newsletter
  match 'corheaders/newsletter', to: 'corheaders#newsletter', via: [:get]
  # Analytics 
  match 'header/:id/analytics', to: 'headers#analytics',:as => 'analytics',via: [:get]
  match 'corheaders/renderjs/:headerid', to: 'corheaders#renderjs', via: [:get]

  devise_for :users, :controllers => { :omniauth_callbacks => "users/omniauth_callbacks" }

  authenticated :user do
    root to: "headers#index", :as => "dashbord"
  end

  get "pages/index"
  
  get "/admin" => "admin/base#index", :as => "admin"

  namespace "admin" do

    resources :users

  end
  resources :headers do
  	get :preview, :on => :member
  end

  root to: "pages#index"

end

app/views/layouts/admin/_main_nav.html.erb
<nav class="navbar navbar-default" role="navigation">
  <div class="container-fluid">
    <div class="navbar-header">
      <button type="button" class="navbar-toggle" data-toggle="collapse" data-target="#HeaderAd-navbar-collapse-1">
        <span class="sr-only">Toggle navigation</span>
        <span class="icon-bar"></span>
        <span class="icon-bar"></span>
        <span class="icon-bar"></span>
      </button>

      <%= link_to "Base Application", admin_path, :class => "navbar-brand" %>
    </div>


    <div class="collapse navbar-collapse" id="HeaderAd-navbar-collapse-1">
      <ul class="nav navbar-nav">
        <li><%= link_to("Users", admin_users_path) %></li>
        <li><%= link_to("Exit →", root_path) %></li>
      </ul>
    </div>

  </div>
</nav>